using System.IO;

namespace Crysome.Common.Network.Packets.Client;

public class PingResponsePacket : IPacket
{
	public long ServerTick { get; set; }

	public PingResponsePacket()
	{
	}

	public PingResponsePacket(long serverTick)
	{
		ServerTick = serverTick;
	}

	public void Write(BinaryWriter w)
	{
		w.Write(ServerTick);
	}

	public void Read(BinaryReader r)
	{
		ServerTick = r.ReadInt64();
	}
}
